#ifndef RESOURCEPOOL_DEFINED
	#define RESOURCEPOOL_DEFINED
	#include "gamex.hpp"

	class ResourcePool
	{
		public:
			ResourcePool(void);
			~ResourcePool(void);
	
			void Initialize(void); // loads all the resources

			ImageX aliens_img;
			ImageX stars_img;
			ImageX zap_img;

			SoundX gameover_snd;
			SoundX poof_snd;
			SoundX spin_snd;
			SoundX stick_snd;

			MusicX carnival_song;
		private:
	};
	#ifdef GAMEX_MAIN // act sort of like an extension of GameX
		ResourcePool rp;
	#else
		extern ResourcePool rp; // where rp is a global ResourcePool object
	#endif
#endif